Subject: RE: [Tsvwg] T3 cannot timeout???

From: [email-masked]
Date: Mon, 29 Apr 2002 17:38:47 +0300

Hi Mohammed and the others!

> Shudn't the timer be started against the destination on which 
> this lowest
> TSN is retransmitted ( i.e here Dest :2  )?

	Now that I saw your comment, I think that the 4) apart of section 7.2.4 could be more clear than it is... In fact I'm not sure that I got it in the right way...

	In my opinion, the point here is that if you are fast retransmitting a TSN which was the first outstanding TSN on the address to which that TSN was originally sent, then you restart the T3 for that address to which the TSN was previously sent... Also you should restart it if the SACK acknowledged the first TSN outstanding in that address (this is the normal behavior, though).

	However, it could also been understood as that you restart the T3 timer of the address used for the fast retransmission, either if the first outstanding TSN in that address was acknowledged (i.e., the normal behavior), or if you are fast retransmitting a TSN to that address which is older than any of the TSNs that are already outstanding in that address... :-/

	Of course, a T3 timer should be running only if there are outstanding TSNs in that address... So if the first outstanding TSN is acknowledged (in any of the two options stated above), you only restart the timer if there are more TSNs outstanding in the address... otherwise you reset it...

	I think that the first option makes more sense (maybe because that's the one I understood :->). However, the second one makes also sense for me... :-/ The first option basically assumes that if the T3 (of the old address) started to run when that first TSN was sent, now that the TSN is not outstanding in that previous address any more, it makes sense to restart it... or even reset it, if the fast retransmitted TSN was the only one outstanding TSN in that address...

	However, option 2 says that, as when the T3 expires you start retransmitting the first outstanding TSNs, as in the "normal case" you will have DATA chunks of one MTU worth of data, normally you end up retransmitting only the first TSN... So it makes sense to "give extra time" when you send to an address a TSN which is the oldest outstanding TSN in that address... This also makes sense to me...

	Maybe there is a third way of understanding this, which is that you apply this to both the old and the new address... :-)

	What do people in the list think?

	In any case, as this section is being modified by the implementor's guide, it makes sense to state it clearer...

	Thanks!!

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg